Setting issue attributes from mail should be case-insensitive
Status: Closed Start date: 2011-07-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 1.2.1   

Resolution: Fixed Affected version:  

Description

Currently, when you want to set issue attribute, e.g. Status, from mail you would add (in the mail body):

Status: Closed

 The attribute name can be set in either case: status, STATUS, etc., but it fails to recognize the attribute value unless it's set in

title-case, i.e. exactly as it appears in web interface.

The attached patch fixes this problem by titleizeing certain attribute values extracted from the mail body.

Associated revisions

Revision 6199 - 2011-07-09 12:50 - Jean-Philippe Lang

Fixed: Setting issue attributes from mail should be case-insensitive (#8759).

History

#1 - 2011-07-07 21:09 - Etienne Massip

- Target version set to Candidate for next minor release

#2 - 2011-07-09 12:55 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version changed from Candidate for next minor release to 1.2.1

- Resolution set to Fixed

Fixed in r6199.

This patch assumes that values are titleized in the database which may not be the case. The fix uses a different approach based on reusable scopes

and applies to priorities and categories as well.

#3 - 2011-07-09 13:34 - Alex Shulgin

Jean-Philippe Lang wrote:

Fixed in r6199.

This patch assumes that values are titleized in the database which may not be the case. The fix uses a different approach based on reusable

scopes and applies to priorities and categories as well.

 Thank you!  I've had the feeling that my approach can be improved, but didn't know where to look exactly.

Btw, aren't we making code less DRY with all these named_scope :named, ...?  Can be extracted in a module for sure.

#4 - 2011-07-09 14:08 - Jean-Philippe Lang

Alex Shulgin wrote:

Btw, aren't we making code less DRY with all these named_scope :named, ...?  Can be extracted in a module for sure.

 Indeed.
https://www.redmine.org/projects/redmine/repository/svn/revisions/6199
https://www.redmine.org/projects/redmine/repository/svn/revisions/6199


Files

0001-Setting-issue-attributes-by-mail-allow-lower-mixed-c.patch 2.55 KB 2011-07-07 Alex Shulgin
